| API Docs for SAX and DOM |
| Main Page Classes Files Related Pages Alphabetical List Class List Class Hierarchy Class Members # XMLTransService Class Reference Inheritance diagram for XMLTransService: [legend] List of all members.
## Public Types
enum | Codes { Ok, UnsupportedEncoding, InternalFailure, SupportFilesNotFound }
## Public Member Functions
virtual | ~XMLTransService ()
XMLTranscoder * | makeNewTranscoderFor (const XMLCh *const encodingName, XMLTransService::Codes &resValue, const unsigned int blockSize, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
XMLTranscoder * | makeNewTranscoderFor (const char *const encodingName, XMLTransService::Codes &resValue, const unsigned int blockSize, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
XMLTranscoder * | makeNewTranscoderFor (XMLRecognizer::Encodings encodingEnum, XMLTransService::Codes &resValue, const unsigned int blockSize, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
virtual int | compareIString (const XMLCh *const comp1, const XMLCh *const comp2)=0
virtual int | compareNIString (const XMLCh *const comp1, const XMLCh *const comp2, const unsigned int maxChars)=0
virtual const XMLCh * | getId () const =0
virtual bool | isSpace (const XMLCh toCheck) const =0
virtual XMLLCPTranscoder * | makeNewLCPTranscoder ()=0
virtual bool | supportsSrcOfs () const =0
virtual void | upperCase (XMLCh *const toUpperCase) const =0
virtual void | lowerCase (XMLCh *const toLowerCase) const =0
## Static Public Member Functions
static void | addEncoding (const XMLCh *const encoding, ENameMap *const ownMapping)
## Protected Member Functions
| XMLTransService ()
virtual XMLTranscoder * | makeNewXMLTranscoder (const XMLCh *const encodingName, XMLTransService::Codes &resValue, const unsigned int blockSize, MemoryManager *const manager)=0
virtual void | initTransService ()
## Static Protected Attributes
static RefHashTableOf < ENameMap > * | gMappings
static RefVectorOf < ENameMap > * | gMappingsRecognizer
## Friends
class | XMLPlatformUtils
## Classes
struct | TransRec
## Member Enumeration Documentation
enum XMLTransService::Codes
  Enumerator:
  Ok |
  UnsupportedEncoding |
  InternalFailure |
  SupportFilesNotFound |
## Constructor & Destructor Documentation
virtual XMLTransService::~XMLTransService | ( |  | ) | `[virtual]`
XMLTransService::XMLTransService | ( |  | ) | `[protected]`
## Member Function Documentation
XMLTranscoder* XMLTransService::makeNewTranscoderFor | ( | const XMLCh *const | encodingName,
|  | XMLTransService::Codes & | resValue,
|  | const unsigned int | blockSize,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |
XMLTranscoder* XMLTransService::makeNewTranscoderFor | ( | const char *const | encodingName,
|  | XMLTransService::Codes & | resValue,
|  | const unsigned int | blockSize,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |
XMLTranscoder* XMLTransService::makeNewTranscoderFor | ( | XMLRecognizer::Encodings | encodingEnum,
|  | XMLTransService::Codes & | resValue,
|  | const unsigned int | blockSize,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |
virtual int XMLTransService::compareIString | ( | const XMLCh *const | comp1,
|  | const XMLCh *const | comp2 |
| ) |  |  | `[pure virtual]`
virtual int XMLTransService::compareNIString | ( | const XMLCh *const | comp1,
|  | const XMLCh *const | comp2,
|  | const unsigned int | maxChars |
| ) |  |  | `[pure virtual]`
virtual const XMLCh* XMLTransService::getId | ( |  | ) | const`[pure virtual]`
virtual bool XMLTransService::isSpace | ( | const XMLCh | toCheck | ) | const`[pure virtual]`
virtual XMLLCPTranscoder* XMLTransService::makeNewLCPTranscoder | ( |  | ) | `[pure virtual]`
virtual bool XMLTransService::supportsSrcOfs | ( |  | ) | const`[pure virtual]`
virtual void XMLTransService::upperCase | ( | XMLCh *const | toUpperCase | ) | const`[pure virtual]`
virtual void XMLTransService::lowerCase | ( | XMLCh *const | toLowerCase | ) | const`[pure virtual]`
static void XMLTransService::addEncoding | ( | const XMLCh *const | encoding,
|  | ENameMap *const | ownMapping |
| ) |  |  | `[static]`
virtual XMLTranscoder* XMLTransService::makeNewXMLTranscoder | ( | const XMLCh *const | encodingName,
|  | XMLTransService::Codes & | resValue,
|  | const unsigned int | blockSize,
|  | MemoryManager *const | manager |
| ) |  |  | `[protected, pure virtual]`
virtual void XMLTransService::initTransService | ( |  | ) | `[protected, virtual]`
## Friends And Related Function Documentation
friend class XMLPlatformUtils`[friend]`
## Member Data Documentation
RefHashTableOf<ENameMap>* XMLTransService::gMappings`[static, protected]`
RefVectorOf<ENameMap>* XMLTransService::gMappingsRecognizer`[static, protected]`
The documentation for this class was generated from the following file: TransService.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.